## IAnjutaHelp IAnjutaHelp — Implemented by plugins that can provide help support |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-help.h>

    #define             IANJUTA_HELP_ERROR
                        IAnjutaHelp;
                        IAnjutaHelpIface;
    GQuark              ianjuta_help_error_quark            (void);
    void                ianjuta_help_search                 (IAnjutaHelp *obj,
                                                             const gchar *query,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaHelp

## Prerequisites

IAnjutaHelp requires GObject.

## Description

## Details

### IANJUTA_HELP_ERROR

    #define IANJUTA_HELP_ERROR ianjuta_help_error_quark()

### IAnjutaHelp

    typedef struct _IAnjutaHelp IAnjutaHelp;

### IAnjutaHelpIface

    typedef struct {
    	GTypeInterface g_iface;

    	void (*search) (IAnjutaHelp *obj, const gchar *query, GError **err);
    } IAnjutaHelpIface;

### ianjuta_help_error_quark ()

    GQuark              ianjuta_help_error_quark            (void);

Returns : |

### ianjuta_help_search ()

    void                ianjuta_help_search                 (IAnjutaHelp *obj,
                                                             const gchar *query,
                                                             GError **err);

Search for string `query` in the help and display the result

`obj` : | Self
`query` : | string to search in the help
`err` : | Error propagation and reporting